# class toTemplateProvider

This is the base class of a provider of template items. More...

Contains pure virtuals
Definition | `#include <totemplate.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toTemplateProvider (const QCString &name)
- virtual ~toTemplateProvider ()
- const QCString name ()
- virtual void insertItems (QListView *parent,QToolBar *toolbar)
- virtual void exportData (std::map<QCString,QString> &data,const QCString &prefix)
- virtual void importData (std::map<QCString,QString> &data,const QCString &prefix)

#### Public Static Methods

- static void exportAllData (std::map<QCString,QString> &data,const QCString &prefix)
- static void importAllData (std::map<QCString,QString> &data,const QCString &prefix)
- static void setShown (bool shown)
- static void setToolKey (const QCString &key)

#### Public Members

- friend class toTemplate

## Detailed Description

This is the base class of a provider of template items. Usually it is created with a static object just like the tools. It can also be assumed that a maximum of one template window will be opened.

toTemplateProvider (const QCString &name)

### toTemplateProvider

List of currently available template providers.

~toTemplateProvider ()

### ~toTemplateProvider

[virtual]

const QCString name ()

### name

Get name of this template provider.

void insertItems (QListView *parent,QToolBar *toolbar)

### insertItems

[pure virtual]

Insert a parent item for this template provider into a list view.

Parameters:

parent | The list into which to insert the item.
toolbar | The template toolbar if any buttons are to be added on it.

void exportData (std::map<QCString,QString> &data,const QCString &prefix)

### exportData

[virtual]

Save settings for this template provider.

Parameters:

data | Map of data.
prefix | Prefix of where to save info.

void exportAllData (std::map<QCString,QString> &data,const QCString &prefix)

### exportAllData

[static]

Save settings for all template providers.

Parameters:

data | Map of data.
prefix | Prefix of where to save info.

void importData (std::map<QCString,QString> &data,const QCString &prefix)

### importData

[virtual]

Import data

Parameters:

data | Data to read from a map.
prefix | Prefix to read data from.

void importAllData (std::map<QCString,QString> &data,const QCString &prefix)

### importAllData

[static]

Import data for all template providers.

Parameters:

data | Data to read from a map.
prefix | Prefix to read data from.

void setShown (bool shown)

### setShown

[static]

Used internally to indicate if template help is shown.

void setToolKey (const QCString &key)

### setToolKey

[static]

Used internally to indicate tool key string

friend class toTemplate

### toTemplate

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.